---------------------
PatchSet 153 
Date: 2000/04/20 21:57:33
Author: hno
Branch: NLANR
Tag: Z_hno-modio 
Log:
Imported squid-2.4.DEVEL2

Members: 
	COPYRIGHT:1.1.1.2->1.1.1.3 
	ChangeLog:1.1.1.5->1.1.1.6 
	acconfig.h:1.1.1.5->1.1.1.6 
	configure:1.1.1.5->1.1.1.6 
	configure.in:1.1.1.5->1.1.1.6 
	makefile.in:1.1.1.5->1.1.1.6 
	auth_modules/PAM/pam_auth.c:1.1.1.3->1.1.1.4 
	doc/Programming-Guide/prog-guide.sgml:1.1.1.3->1.1.1.4 
	errors/Makefile.in:1.1.1.4->1.1.1.5 
	errors/English/ERR_DNS_FAIL:1.1.1.3->1.1.1.4 
	errors/English/ERR_FTP_PUT_CREATED:1.1.1.2->1.1.1.3 
	errors/English/ERR_FTP_PUT_MODIFIED:1.1.1.2->1.1.1.3 
	errors/English/ERR_SHUTTING_DOWN:1.1.1.3->1.1.1.4 
	errors/Hungarian/ERR_TOO_BIG:1.1.1.2->1.1.1.3 
	include/autoconf.h.in:1.1.1.5->1.1.1.6 
	include/config.h.in:1.1.1.5->1.1.1.6 
	include/heap.h:1.1.1.3->1.1.1.4 
	include/splay.h:1.1.1.4->1.1.1.5 
	include/util.h:1.1.1.5->1.1.1.6 
	include/version.h:1.1.1.5->1.1.1.6 
	lib/Array.c:1.1.1.3->1.1.1.4 
	lib/Makefile.in:1.1.1.4->1.1.1.5 
	lib/Stack.c:1.1.1.3->1.1.1.4 
	lib/getfullhostname.c:1.1.1.2->1.1.1.3 
	lib/hash.c:1.1.1.4->1.1.1.5 
	lib/heap.c:1.1.1.3->1.1.1.4 
	lib/radix.c:1.1.1.3->1.1.1.4 
	lib/rfc1035.c:1.1.1.3->1.1.1.4 
	lib/rfc1123.c:1.1.1.4->1.1.1.5 
	lib/rfc1738.c:1.1.1.4->1.1.1.5 
	lib/splay.c:1.1.1.4->1.1.1.5 
	lib/strerror.c:1.1.1.2->1.1.1.3 
	lib/util.c:1.1.1.5->1.1.1.6 
	src/CacheDigest.c:1.1.1.3->1.1.1.4 
	src/ETag.c:1.1.1.2->1.1.1.3 
	src/HttpBody.c:1.1.1.2->1.1.1.3 
	src/HttpHdrCc.c:1.1.1.5->1.1.1.6 
	src/HttpHdrContRange.c:1.1.1.5->1.1.1.6 
	src/HttpHdrExtField.c:1.1.1.4->1.1.1.5 
	src/HttpHdrRange.c:1.1.1.5->1.1.1.6 
	src/HttpHeader.c:1.1.1.5->1.1.1.6 
	src/HttpHeaderTools.c:1.1.1.5->1.1.1.6 
	src/HttpMsg.c:1.1.1.2->1.1.1.3 
	src/HttpReply.c:1.1.1.5->1.1.1.6 
	src/HttpRequest.c:1.1.1.5->1.1.1.6 
	src/HttpStatusLine.c:1.1.1.4->1.1.1.5 
	src/Makefile.in:1.1.1.5->1.1.1.6 
	src/MemBuf.c:1.1.1.3->1.1.1.4 
	src/MemPool.c:1.1.1.5->1.1.1.6 
	src/Packer.c:1.1.1.3->1.1.1.4 
	src/StatHist.c:1.1.1.3->1.1.1.4 
	src/String.c:1.1.1.2->1.1.1.3 
	src/access_log.c:1.1.1.5->1.1.1.6 
	src/acl.c:1.1.1.5->1.1.1.6 
	src/aiops.c:1.1.1.5->1.1.1.6 
	src/asn.c:1.1.1.5->1.1.1.6 
	src/async_io.c:1.1.1.5->1.1.1.6 
	src/authenticate.c:1.1.1.4->1.1.1.5 
	src/cache_cf.c:1.1.1.5->1.1.1.6 
	src/cache_diff.c:1.1.1.2->1.1.1.3 
	src/cache_manager.c:1.1.1.3->1.1.1.4 
	src/cachemgr.c:1.1.1.4->1.1.1.5 
	src/carp.c:1.1.1.2->1.1.1.3 
	src/cbdata.c:1.1.1.4->1.1.1.5 
	src/cf.data.pre:1.1.1.5->1.1.1.6 
	src/cf_gen.c:1.1.1.4->1.1.1.5 
	src/client.c:1.1.1.5->1.1.1.6 
	src/client_db.c:1.1.1.5->1.1.1.6 
	src/client_side.c:1.1.1.5->1.1.1.6 
	src/comm.c:1.1.1.5->1.1.1.6 
	src/comm_select.c:1.1.1.5->1.1.1.6 
	src/debug.c:1.1.1.5->1.1.1.6 
	src/defines.h:1.1.1.5->1.1.1.6 
	src/delay_pools.c:1.1.1.5->1.1.1.6 
	src/disk.c:1.1.1.4->1.1.1.5 
	src/dns.c:1.1.1.5->1.1.1.6 
	src/dns_internal.c:1.1.1.3->1.1.1.4 
	src/dnsserver.c:1.1.1.4->1.1.1.5 
	src/enums.h:1.1.1.5->1.1.1.6 
	src/errorpage.c:1.1.1.5->1.1.1.6 
	src/event.c:1.1.1.4->1.1.1.5 
	src/fd.c:1.1.1.4->1.1.1.5 
	src/filemap.c:1.1.1.4->1.1.1.5 
	src/forward.c:1.1.1.5->1.1.1.6 
	src/fqdncache.c:1.1.1.4->1.1.1.5 
	src/ftp.c:1.1.1.5->1.1.1.6 
	src/globals.h:1.1.1.5->1.1.1.6 
	src/gopher.c:1.1.1.5->1.1.1.6 
	src/htcp.c:1.1.1.4->1.1.1.5 
	src/http.c:1.1.1.5->1.1.1.6 
	src/icmp.c:1.1.1.3->1.1.1.4 
	src/icp_v2.c:1.1.1.5->1.1.1.6 
	src/icp_v3.c:1.1.1.4->1.1.1.5 
	src/ident.c:1.1.1.4->1.1.1.5 
	src/internal.c:1.1.1.5->1.1.1.6 
	src/ipc.c:1.1.1.5->1.1.1.6 
	src/ipcache.c:1.1.1.5->1.1.1.6 
	src/leakfinder.c:1.1.1.3->1.1.1.4 
	src/main.c:1.1.1.5->1.1.1.6 
	src/mem.c:1.1.1.4->1.1.1.5 
	src/mime.c:1.1.1.5->1.1.1.6 
	src/multicast.c:1.1.1.2->1.1.1.3 
	src/neighbors.c:1.1.1.5->1.1.1.6 
	src/net_db.c:1.1.1.5->1.1.1.6 
	src/pconn.c:1.1.1.3->1.1.1.4 
	src/peer_digest.c:1.1.1.5->1.1.1.6 
	src/peer_select.c:1.1.1.5->1.1.1.6 
	src/pinger.c:1.1.1.4->1.1.1.5 
	src/protos.h:1.1.1.5->1.1.1.6 
	src/pump.c:1.1.1.5->1.1.1.6 
	src/recv-announce.c:1.1.1.2->1.1.1.3 
	src/redirect.c:1.1.1.5->1.1.1.6 
	src/refresh.c:1.1.1.5->1.1.1.6 
	src/send-announce.c:1.1.1.5->1.1.1.6 
	src/snmp_agent.c:1.1.1.5->1.1.1.6 
	src/snmp_core.c:1.1.1.5->1.1.1.6 
	src/squid.h:1.1.1.5->1.1.1.6 
	src/ssl.c:1.1.1.5->1.1.1.6 
	src/stat.c:1.1.1.5->1.1.1.6 
	src/stmem.c:1.1.1.3->1.1.1.4 
	src/store.c:1.1.1.5->1.1.1.6 
	src/store_client.c:1.1.1.5->1.1.1.6 
	src/store_digest.c:1.1.1.5->1.1.1.6 
	src/store_dir.c:1.1.1.5->1.1.1.6 
	src/store_dir_ufs.c:1.1.1.3->1.1.1.4 
	src/store_heap_replacement.c:1.1.1.3->1.1.1.4 
	src/store_io_asyncufs.c:1.1.1.3->1.1.1.4 
	src/store_io_ufs.c:1.1.1.3->1.1.1.4 
	src/store_key_md5.c:1.1.1.5->1.1.1.6 
	src/store_log.c:1.1.1.4->1.1.1.5 
	src/store_rebuild.c:1.1.1.5->1.1.1.6 
	src/store_swapin.c:1.1.1.5->1.1.1.6 
	src/store_swapmeta.c:1.1.1.4->1.1.1.5 
	src/store_swapout.c:1.1.1.5->1.1.1.6 
	src/structs.h:1.1.1.5->1.1.1.6 
	src/test_cache_digest.c:1.1.1.2->1.1.1.3 
	src/tools.c:1.1.1.5->1.1.1.6 
	src/typedefs.h:1.1.1.5->1.1.1.6 
	src/unlinkd.c:1.1.1.5->1.1.1.6 
	src/url.c:1.1.1.5->1.1.1.6 
	src/urn.c:1.1.1.5->1.1.1.6 
	src/useragent.c:1.1.1.5->1.1.1.6 
	src/wais.c:1.1.1.3->1.1.1.4 
	src/wccp.c:1.1.1.3->1.1.1.4 
	src/whois.c:1.1.1.3->1.1.1.4 

Index: squid/COPYRIGHT
===================================================================
RCS file: /cvsroot/squid-sf//squid/COPYRIGHT,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/COPYRIGHT	20 Apr 2000 18:21:58 -0000	1.1.1.2
+++ squid/COPYRIGHT	20 Apr 2000 21:57:33 -0000	1.1.1.3
@@ -1,11 +1,10 @@
 By accepting this notice, you agree to be bound by the following
 agreements:
 
-This software product, SQUID, is developed by Duane Wessels, and
-copyrighted (C) 2000 by the Regents of the University of California,
-with all rights reserved.  UCSD administers the NLANR Cache grants,
-NCR 9616602 and NCR 9521745 under which most of this code was
-developed.
+This software product, SQUID, is copyrighted(C) 1998 by Duane Wessels,
+and the University of California, San Diego (UCSD), with all rights
+reserved.  UCSD administers the NLANR Cache grants, NCR 9616602 and NCR
+9521745 under which most of this code was developed.
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the GNU General Public License (version 2) as
Index: squid/ChangeLog
===================================================================
RCS file: /cvsroot/squid-sf//squid/ChangeLog,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/ChangeLog	20 Apr 2000 18:21:58 -0000	1.1.1.5
+++ squid/ChangeLog	20 Apr 2000 21:57:33 -0000	1.1.1.6
@@ -1,98 +1,5 @@
-Changes to Squid-2.3.STABLE2 (Mar 2, 2000):
-
-	- Changed Copyright text.
-	- Changed configure so that some IRIX-6.4 hacks apply to
-	  all IRIX-6.* versions.
-	- Cleaned up HTML bugs in error pages.
-	- Told configure to check for netinet/if_ether.h, which
-	  is used in ARP ACL code, but might not be required.
-	- Added "Cookie" to known HTTP headers so it can be
-	  used in anonymizer configuration.
-	- Added optional TCP_REDIRECT log code for logging
-	  of 301/302 responses returned by Squid.
-	- Added a check for a currently running Squid process.
-	  If the pid file exists, and the pid is running,
-	  Squid complains and refuses to start another instance.
-	- Changed async I/O scope to PTHREAD_SCOPE_PROCESS for
-	  IRIX.
-	- Fixed a bug with the PURGE method.  The purge enable
-	  flag was not getting cleared during reconfigure.
-	  Also required PURGE method to be used in http_access
-	  list before enabling.
-	- Fixed async I/O assertions for file open errors.
-	- Fixed internal DNS assertion when unpacking truncated
-	  messages.
-	- Fixed anonymize_headers bug that caused all headers
-	  to be allowed after a reconfigure.
-	- Fixed an access denied bug for accelerator-only installations.
-	- Fixed internal DNS initialization so that it uses
-	  'dns_nameservers' settings in squid.conf if set.
-	- Fixed 'maxconn' ACL bug that caused it to work backwards
-	  (Pedro Ribeiro).
-	- Fixed syslog bug for daemon mode on Linux.
-	- Fixed 'http_port' parsing bugs.
-	- Fixed internal DNS byte ordering bugs for PTR queries.
-	- Fixed internal DNS queue getting stuck during periods
-	  of low activity (Henrik).
-	- Fixed byte ordering bugs for parsing EPLF FTP listings
-	  on 64-bit systems.
-	- Fixed 'request_body_max_size' bug that caused all
-	  POST, PUT requests to be denied if max size is set
-	  to zero.
-	- Fixed 'redirector_access' bug when using 'myport' ACLs.
-	- Fixed CARP neighbor selection bugs for down peers.
-	- Added 'client_persistent_connections' and
-	  'server_persistent_connections' flags to disable persistent
-	  connections for clients and servers.
-	- Fixed access logging bug that caused many requests to be
-	  logged as TCP_MISS.
-	- Added some bounds checking to delay pools code.
-
-Changes to Squid-2.3.STABLE1 (Jan 9, 2000):
-
-	- Updated PAM authentication module from Henrik Nordstrom.
-	- Updated Bulgarian error messages from Svetlin Simeonov.
-	- Changed ACL routines so that User-Agent (browser) string
-	  is always taken from compiled HTTP request headers
-	  instead of passed as an argument to aclCreateChecklist.
-	- Added a 'strip' option to the 'uri_whitesace' configuration
-	  directive and made it the default behavior.  Whitespace
-	  found in URI's is now stripped out by default.
-	- Added chroot feature.  The 'chroot_dir' config option enables
-	  it and specifies the directory.
-	- Changed clientBuildReplyHeader so that the Age header is
-	  added only for cache hits, and only when we can calculate
-	  a valid, positive age value.
-	- Changed clientWriteComplete and clientGotNotEnough so
-	  that they keep persistent connections open for more types
-	  of replies that don't have bodies.
-	- Changed filemap.c routines to dynamically grow filemap
-	  space as needed.
-	- Added a hack to ftp.c to deal with ftp.netscape.com, which
-	  sometimes doesn't acknowledge PASV commands.
-	- Fixed FTP bug with ftpScheduleReadControlReply; there
-	  was not always a timeout handler on the control socket
-	  after the transfer completed.
-	- Fixed FTP filedescriptor leak from invalid PASV replies.
-	- Changed httpBuildRequestHeader so that it doesn't
-	  copy the Host header from the client request.  Instead
-	  we should generate our own Host header which is known
-	  to be correct.
-	- Changed storeTimestampsSet to adjust entry->timestamp
-	  if the response includes an Age header.
-	- Removed size limit from storeKeyHashBuckets.
-	- Changed fwdConnectStart from a "heavy" to a "light" event.
-	- Fixed an 'anonymize_headers' bug that affects unknown
-	  HTTP headers.  With the bug, if you list a header that
-	  Squid doesn't know about (such as "Charset"), it would
-	  add HDR_OTHER to the allow/deny mask.  This caused all
-	  unknown headers to be allowed or denied (depending on
-	  the scheme you use).  Now, with the bug fixed, an unknown
-	  header in the 'anonymize_headers' list is simply ignored.
-
 Changes to Squid-2.3.DEVEL3 ():
 
-	- Added MSNT auth module from Antonino Iannella.
 	- Added --enable-underscores configure option.  This allows
 	  Squid to accept hostnames with underscores in them.  Your
 	  DNS resolver may still complain about them, however.
@@ -278,7 +185,6 @@
 	- Added 'peer_connect_timeout' squid.conf option.
 	- Added 'redirector_bypass' squid.conf option.
 	- Added RFC 2518 (WEBDAV) request methods.
-	
 
 Changes to Squid-2.2 (April 19, 1999):
 
Index: squid/acconfig.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/Attic/acconfig.h,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/acconfig.h	20 Apr 2000 18:21:58 -0000	1.1.1.5
+++ squid/acconfig.h	20 Apr 2000 21:57:33 -0000	1.1.1.6
@@ -20,7 +20,7 @@
  *
  */
 @ TOP @
-/* $Id: acconfig.h,v 1.1.1.5 2000/04/20 18:21:58 hno Exp $ */
+/* $Id: acconfig.h,v 1.1.1.6 2000/04/20 21:57:33 hno Exp $ */
 
 /*********************************
  * START OF CONFIGURABLE OPTIONS *
@@ -261,3 +261,13 @@
  * Use the heap-based replacement techniques
  */
 #undef HEAP_REPLACEMENT
+
+/*
+ * Use DISKD
+ */
+#undef USE_DISKD
+
+/*
+ * message type for message queues
+ */
+#undef mtyp_t
Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/configure.in	20 Apr 2000 18:21:58 -0000	1.1.1.5
+++ squid/configure.in	20 Apr 2000 21:57:33 -0000	1.1.1.6
@@ -3,13 +3,13 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.1.1.5 2000/04/20 18:21:58 hno Exp $
+dnl  $Id: configure.in,v 1.1.1.6 2000/04/20 21:57:33 hno Exp $
 dnl
 dnl
 dnl
 AC_INIT(src/main.c)
 AC_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.1.1.5 $)dnl
+AC_REVISION($Revision: 1.1.1.6 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AC_CONFIG_AUX_DIR(cfgaux)
 
@@ -88,9 +88,9 @@
         esac
     else
 	case "$host" in
-	*mips-sgi-irix6.*)
+	*mips-sgi-irix6.4*)
 	    # suggested by Rafael Seidl <rafaels@cthulhu.engr.sgi.com>
-	    CFLAGS="$CFLAGS -n32 -mips3 -O3 -OPT:Olimit=0:space=OFF \
+	    CFLAGS="$CFLAGS -n32 -mips4 -O3 -OPT:Olimit=0:space=OFF \
 		-woff 1009,1014,1048,1110,1116,1185,1188,1204,1230,1233 \
 		-Wl,-woff,85,-woff,84,-woff,134 \
 		-nostdinc -I/usr/include -D_BSD_SIGNALS"
@@ -116,9 +116,9 @@
         esac
     else
 	case "$host" in
-	*mips-sgi-irix6.*)
+	*mips-sgi-irix6.4*)
 	    # suggested by Rafael Seidl <rafaels@cthulhu.engr.sgi.com>
-	    LDFLAGS="-n32 -mips3 -nostdlib -L/usr/lib32"
+	    LDFLAGS="-n32 -mips4 -nostdlib -L/usr/lib32"
 	    ;;
 	esac
     fi
@@ -554,6 +554,20 @@
   fi
 ])
 
+dnl Enable "diskd" code
+AC_ARG_ENABLE(diskd,
+[  --enable-diskd          Uses shared memory, message queues, and external
+                          processes for disk I/O.],
+[ if test "$enableval" = "yes" ; then
+    echo "DISKD enabled"
+    AC_DEFINE(USE_DISKD, 1)
+    OPT_DISKD_EXE='$(DISKD_EXE)'
+    AC_SUBST(OPT_DISKD_EXE)
+    DISKD_OBJS='diskd.o'
+    AC_SUBST(DISKD_OBJS)
+  fi
+])
+
 # Force some compilers to use ANSI features
 #
 case "$host" in
@@ -633,7 +647,6 @@
 	mount.h \
 	net/if.h \
 	netdb.h \
-	netinet/if_ether.h \
 	netinet/in.h \
 	netinet/tcp.h \
 	netinet/ip_compat.h \
@@ -653,6 +666,7 @@
 	strings.h \
 	sys/file.h \
 	sys/ioctl.h \
+	sys/msg.h \
 	sys/param.h \
 	sys/resource.h \
 	sys/select.h\
@@ -779,6 +793,7 @@
 AC_CHECK_TYPE(off_t, int)
 AC_CHECK_TYPE(mode_t, u_short)
 AC_CHECK_TYPE(fd_mask, int)
+AC_CHECK_TYPE(mtyp_t, long)
 
 dnl Check for type in sys/socket.h
 AC_CACHE_CHECK(for socklen_t, ac_cv_type_socklen_t, [
@@ -879,7 +894,6 @@
         	LIBS=`echo $LIBS | sed -e s/-lsocket//`
         	echo "Removing -lnsl for IRIX..."
         	LIBS=`echo $LIBS | sed -e s/-lnsl//`
-		ac_cv_lib_nsl_main=no
 		echo "Removing -lbsd for IRIX..."
 		LIBS=`echo $LIBS | sed -e s/-lbsd//`
 		;;
@@ -985,7 +999,6 @@
 	res_init \
 	rint \
 	seteuid \
-	setgroups \
 	setpgrp \
 	setrlimit \
 	getrlimit \
Index: squid/auth_modules/PAM/pam_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/PAM/Attic/pam_auth.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/auth_modules/PAM/pam_auth.c	20 Apr 2000 18:21:58 -0000	1.1.1.3
+++ squid/auth_modules/PAM/pam_auth.c	20 Apr 2000 21:57:33 -0000	1.1.1.4
@@ -1,5 +1,5 @@
 /*
- * $Id: pam_auth.c,v 1.1.1.3 2000/04/20 18:21:58 hno Exp $
+ * $Id: pam_auth.c,v 1.1.1.4 2000/04/20 21:57:33 hno Exp $
  *
  * PAM authenticator module for Squid.
  * Copyright (C) 1999 Henrik Nordstrom <hno@hem.passagen.se>
Index: squid/doc/Programming-Guide/prog-guide.sgml
===================================================================
RCS file: /cvsroot/squid-sf//squid/doc/Programming-Guide/prog-guide.sgml,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/doc/Programming-Guide/prog-guide.sgml	20 Apr 2000 18:21:58 -0000	1.1.1.3
+++ squid/doc/Programming-Guide/prog-guide.sgml	20 Apr 2000 21:57:33 -0000	1.1.1.4
@@ -2,7 +2,6 @@
 <article>
 <title>Squid Programmers Guide</title>
 <author>Duane Wessels, Squid Developers
-<date>$Id: prog-guide.sgml,v 1.1.1.3 2000/04/20 18:21:58 hno Exp $</date>
 
 <abstract>
 Squid is a WWW Cache application developed by the National Laboratory
Index: squid/errors/English/ERR_DNS_FAIL
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/English/ERR_DNS_FAIL,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/errors/English/ERR_DNS_FAIL	20 Apr 2000 18:21:59 -0000	1.1.1.3
+++ squid/errors/English/ERR_DNS_FAIL	20 Apr 2000 21:57:33 -0000	1.1.1.4
@@ -12,6 +12,7 @@
 Unable to determine IP address from host name for
 <I>%H</I>
 </BLOCKQUOTE>
+</UL>
 
 <P>
 The dnsserver returned:
Index: squid/errors/English/ERR_FTP_PUT_CREATED
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/English/ERR_FTP_PUT_CREATED,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/errors/English/ERR_FTP_PUT_CREATED	20 Apr 2000 18:21:59 -0000	1.1.1.2
+++ squid/errors/English/ERR_FTP_PUT_CREATED	20 Apr 2000 21:57:33 -0000	1.1.1.3
@@ -4,3 +4,6 @@
 <H1>Operation successful</H1>
 <H2>File created</H2>
 <HR>
+<P>
+</P>
+
Index: squid/errors/English/ERR_FTP_PUT_MODIFIED
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/English/ERR_FTP_PUT_MODIFIED,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/errors/English/ERR_FTP_PUT_MODIFIED	20 Apr 2000 18:21:59 -0000	1.1.1.2
+++ squid/errors/English/ERR_FTP_PUT_MODIFIED	20 Apr 2000 21:57:33 -0000	1.1.1.3
@@ -4,3 +4,6 @@
 <H1>Operation successful</H1>
 <H2>File updated</H2>
 <HR>
+<P>
+</P>
+
Index: squid/errors/English/ERR_SHUTTING_DOWN
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/English/ERR_SHUTTING_DOWN,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/errors/English/ERR_SHUTTING_DOWN	20 Apr 2000 18:21:59 -0000	1.1.1.3
+++ squid/errors/English/ERR_SHUTTING_DOWN	20 Apr 2000 21:57:33 -0000	1.1.1.4
@@ -9,6 +9,7 @@
 <A HREF="%U">%U</A>
 <P>
 The following error was encountered:
+<UL>
 <P>
 This cache is in the process of shutting down and can not
 service your request at this time.  Please retry your
Index: squid/errors/Hungarian/ERR_TOO_BIG
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Hungarian/ERR_TOO_BIG,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/errors/Hungarian/ERR_TOO_BIG	20 Apr 2000 18:21:59 -0000	1.1.1.2
+++ squid/errors/Hungarian/ERR_TOO_BIG	20 Apr 2000 21:57:34 -0000	1.1.1.3
@@ -1,28 +1,26 @@
 <HTML><HEAD>
-<TITLE>HIBA: A kért URL nem tölthetõ le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2"></HEAD>
+<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
 </HEAD><BODY>
-<H1>HIBA</H1>
-<H2>A kért URL nem tölthetõ le</H2>
+<H1>ERROR</H1>
+<H2>The requested URL could not be retrieved</H2>
 <HR>
 <P>
-Az alábbi URL letöltésekor:
+While trying to retrieve the URL:
 <A HREF="%U">%U</A>
 <P>
-a következõ hiba lépett fel:
+The following error was encountered:
 <UL>
 <LI>
 <STRONG>
-A kérés vagy a válasz túl nagy méretû.
+The request or reply is too large.
 </STRONG>
 <P>
-POST vagy PUT kérés esetén a kérés törzse (az az anyag
-amit feltöltene) túl nagy méretû. Ha GET típusú
-kérésrõl van szó, akkor a válasz törzse (az az anyag amit éppen
-letöltene) túl nagy méretû. A cache-t mûködtetõ Internet 
-szolgáltató vezette be ezeket a korlátozásokat. Kérjük, forduljon
-közvetlenül szolgáltatójához amennyiben a szerver helytelen
-beállításában látja a hiba okát.
+If you are making a POST or PUT request, then your request body
+(the thing you are trying to upload) is too large.  If you are 
+making a GET request, then the reply body (what you are trying
+to download) is too large.   These limits have been established
+by the Internet Service Provider who operates this cache.  Please
+contact them directly if you feel this is an error.
 </UL>
 <P>
-A cache adminisztrátora: <A HREF="mailto:%w">%w</A>.
+Your cache administrator is <A HREF="mailto:%w">%w</A>.
Index: squid/include/autoconf.h.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/autoconf.h.in,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/include/autoconf.h.in	20 Apr 2000 18:21:59 -0000	1.1.1.5
+++ squid/include/autoconf.h.in	20 Apr 2000 21:57:34 -0000	1.1.1.6
@@ -280,6 +280,16 @@
  */
 #undef HEAP_REPLACEMENT
 
+/*
+ * Use DISKD
+ */
+#undef USE_DISKD
+
+/*
+ * message type for message queues
+ */
+#undef mtyp_t
+
 /* The number of bytes in a int.  */
 #undef SIZEOF_INT
 
@@ -379,9 +389,6 @@
 /* Define if you have the seteuid function.  */
 #undef HAVE_SETEUID
 
-/* Define if you have the setgroups function.  */
-#undef HAVE_SETGROUPS
-
 /* Define if you have the setpgrp function.  */
 #undef HAVE_SETPGRP
 
@@ -496,9 +503,6 @@
 /* Define if you have the <netdb.h> header file.  */
 #undef HAVE_NETDB_H
 
-/* Define if you have the <netinet/if_ether.h> header file.  */
-#undef HAVE_NETINET_IF_ETHER_H
-
 /* Define if you have the <netinet/in.h> header file.  */
 #undef HAVE_NETINET_IN_H
 
@@ -559,6 +563,9 @@
 /* Define if you have the <sys/ioctl.h> header file.  */
 #undef HAVE_SYS_IOCTL_H
 
+/* Define if you have the <sys/msg.h> header file.  */
+#undef HAVE_SYS_MSG_H
+
 /* Define if you have the <sys/ndir.h> header file.  */
 #undef HAVE_SYS_NDIR_H
 
Index: squid/include/config.h.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/config.h.in,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/include/config.h.in	20 Apr 2000 18:21:59 -0000	1.1.1.5
+++ squid/include/config.h.in	20 Apr 2000 21:57:34 -0000	1.1.1.6
@@ -1,5 +1,5 @@
 /*
- * $Id: config.h.in,v 1.1.1.5 2000/04/20 18:21:59 hno Exp $
+ * $Id: config.h.in,v 1.1.1.6 2000/04/20 21:57:34 hno Exp $
  *
  * AUTHOR: Duane Wessels
  *
Index: squid/include/heap.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/heap.h,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/include/heap.h	20 Apr 2000 18:21:59 -0000	1.1.1.3
+++ squid/include/heap.h	20 Apr 2000 21:57:34 -0000	1.1.1.4
@@ -1,5 +1,5 @@
 /*
- * $Id: heap.h,v 1.1.1.3 2000/04/20 18:21:59 hno Exp $
+ * $Id: heap.h,v 1.1.1.4 2000/04/20 21:57:34 hno Exp $
  *
  * AUTHOR: John Dilley, Hewlett Packard
  *
Index: squid/include/splay.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/splay.h,v
retrieving revision 1.1.1.4
retrieving revision 1.1.1.5
diff -u -r1.1.1.4 -r1.1.1.5
--- squid/include/splay.h	20 Apr 2000 18:21:59 -0000	1.1.1.4
+++ squid/include/splay.h	20 Apr 2000 21:57:34 -0000	1.1.1.5
@@ -1,5 +1,5 @@
 /*
- * $Id: splay.h,v 1.1.1.4 2000/04/20 18:21:59 hno Exp $
+ * $Id: splay.h,v 1.1.1.5 2000/04/20 21:57:34 hno Exp $
  */
 
 
Index: squid/include/util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/util.h,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/include/util.h	20 Apr 2000 18:21:59 -0000	1.1.1.5
+++ squid/include/util.h	20 Apr 2000 21:57:34 -0000	1.1.1.6
@@ -1,5 +1,5 @@
 /*
- * $Id: util.h,v 1.1.1.5 2000/04/20 18:21:59 hno Exp $
+ * $Id: util.h,v 1.1.1.6 2000/04/20 21:57:34 hno Exp $
  *
  * AUTHOR: Harvest Derived
  *
Index: squid/include/version.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/version.h,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/include/version.h	20 Apr 2000 18:21:59 -0000	1.1.1.5
+++ squid/include/version.h	20 Apr 2000 21:57:34 -0000	1.1.1.6
@@ -1,12 +1,12 @@
 /*
- * $Id: version.h,v 1.1.1.5 2000/04/20 18:21:59 hno Exp $
+ * $Id: version.h,v 1.1.1.6 2000/04/20 21:57:34 hno Exp $
  *
  *  SQUID_VERSION - String for version id of this distribution
  */
 #ifndef SQUID_VERSION
-#define SQUID_VERSION	"2.3.STABLE2"
+#define SQUID_VERSION	"2.4.DEVEL2"
 #endif
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 952037033
+#define SQUID_RELEASE_TIME 951848317
 #endif
Index: squid/lib/Array.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/Array.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/lib/Array.c	20 Apr 2000 18:21:59 -0000	1.1.1.3
+++ squid/lib/Array.c	20 Apr 2000 21:57:34 -0000	1.1.1.4
@@ -1,5 +1,5 @@
 /*
- * $Id: Array.c,v 1.1.1.3 2000/04/20 18:21:59 hno Exp $
+ * $Id: Array.c,v 1.1.1.4 2000/04/20 21:57:34 hno Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -10,10 +10,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/lib/Stack.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/Stack.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/lib/Stack.c	20 Apr 2000 18:21:59 -0000	1.1.1.3
+++ squid/lib/Stack.c	20 Apr 2000 21:57:34 -0000	1.1.1.4
@@ -1,5 +1,5 @@
 /*
- * $Id: Stack.c,v 1.1.1.3 2000/04/20 18:21:59 hno Exp $
+ * $Id: Stack.c,v 1.1.1.4 2000/04/20 21:57:34 hno Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -10,10 +10,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/lib/getfullhostname.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/getfullhostname.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/lib/getfullhostname.c	20 Apr 2000 18:21:59 -0000	1.1.1.2
+++ squid/lib/getfullhostname.c	20 Apr 2000 21:57:34 -0000	1.1.1.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: getfullhostname.c,v 1.1.1.2 2000/04/20 18:21:59 hno Exp $
+ * $Id: getfullhostname.c,v 1.1.1.3 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/lib/hash.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/hash.c,v
retrieving revision 1.1.1.4
retrieving revision 1.1.1.5
diff -u -r1.1.1.4 -r1.1.1.5
--- squid/lib/hash.c	20 Apr 2000 18:21:59 -0000	1.1.1.4
+++ squid/lib/hash.c	20 Apr 2000 21:57:34 -0000	1.1.1.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: hash.c,v 1.1.1.4 2000/04/20 18:21:59 hno Exp $
+ * $Id: hash.c,v 1.1.1.5 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 0     Hash Tables
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
